import src.c2oObject as Node
##--------------------------------------------------Sigmoid层------------------------------------------------------------##
def getSigmoidOutShape(input_shape):
    return input_shape

def createSigmoid(layer, nodename, inname, outname, input_shape):
    output_shape = getSigmoidOutShape(input_shape)
    node = Node.c2oNode(layer, nodename, "Sigmoid", inname, outname, input_shape, output_shape)
    print(nodename, "节点构建完成")
    return node
